# Uses of Class
org.eclipse.mat.parser.internal.SnapshotImpl

Packages that use SnapshotImpl
Package
Description
org.eclipse.mat.parser.internal
Implementations for building the snapshot (not API).
org.eclipse.mat.parser.internal.snapshot
Utilities for performing basic operations on the snapshot (not API).

## Uses of SnapshotImpl in org.eclipse.mat.parser.internal

Methods in org.eclipse.mat.parser.internal that return SnapshotImpl
Modifier and Type
Method
Description
`static SnapshotImpl`
SnapshotImpl.`create(XSnapshotInfo snapshotInfo, String objectReaderUniqueIdentifier, IObjectReader heapObjectReader, HashMapIntObject<ClassImpl> classCache, HashMapIntObject<XGCRootInfo[]> roots, HashMapIntObject<HashMapIntObject<XGCRootInfo[]>> rootsPerThread, BitField arrayObjects, IndexManager indexManager, IProgressListener listener)`
Create the snapshot after a fresh parse.
`SnapshotImpl`
SnapshotImplBuilder.`create(ParserRegistry.Parser parser, IProgressListener listener)`
`static SnapshotImpl`
SnapshotImpl.`readFromFile(File file, String prefix, IProgressListener listener)`
Read the snapshot from an already indexed dump.
Methods in org.eclipse.mat.parser.internal with parameters of type SnapshotImpl
Modifier and Type
Method
Description
`static void`
DominatorTree.`calculate(SnapshotImpl snapshot, IProgressListener listener)`

## Uses of SnapshotImpl in org.eclipse.mat.parser.internal.snapshot

Methods in org.eclipse.mat.parser.internal.snapshot with parameters of type SnapshotImpl
Modifier and Type
Method
Description
`Histogram`
HistogramBuilder.`toHistogram(SnapshotImpl snapshot, boolean isDefaultHistogram)`
Constructors in org.eclipse.mat.parser.internal.snapshot with parameters of type SnapshotImpl
Modifier
Constructor
Description
``
`MultiplePathsFromGCRootsComputerImpl(int[] objectIds, Map<IClass,Set<String>> excludeMap, SnapshotImpl snapshot)`